package cn.edu.zjvtit.cloudstorage.apiservice;

import cn.edu.zjvtit.cloudstorage.apiservice.store.DataServerStore;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.Bean;
import org.springframework.web.client.RestTemplate;

import java.util.HashMap;
import java.util.Map;
import java.util.Set;



@SpringBootApplication
public class ApiServiceApplication {

    private static final Logger logger = LoggerFactory.getLogger(ApiServiceApplication.class);
    //初始化静态私有的日志对象， 在日志输出的时候，可以打印出日志信息所在api服务应用程序类
    public static void main(String[] args) {
        SpringApplication.run(ApiServiceApplication.class, args);
    }
    //启动api服务应用程序类参数
    @Bean//实例化
    public RestTemplate restTemplate() {     //在SpringBoot启动类中注册RestTemplate
        return new RestTemplate();
    }
    //返回一个新的请求
    @Bean//实例化
    public Logger getLogger() {
        return logger;
    }
    //返回日志
}
